Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.WinFormsUI/2.3.1/WinFormsUI-2.3.1/Docking/NestedPaneCollection.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.WinFormsUI/2.3.1/WinFormsUI-2.3.1/Docking/NestedPaneCollection.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.WinFormsUI/2.3.1/WinFormsUI-2.3.1/Docking/NestedPaneCollection.cs	(revision 4068)
@@ -1,116 +1,97 @@
-using System;
 using System.Collections.Generic;
 using System.Collections.ObjectModel;
 using System.Drawing;
 
-namespace WeifenLuo.WinFormsUI.Docking
-{
-	public sealed class NestedPaneCollection : ReadOnlyCollection<DockPane>
-	{
-		private INestedPanesContainer m_container;
-		private VisibleNestedPaneCollection m_visibleNestedPanes;
+namespace WeifenLuo.WinFormsUI.Docking {
+  public sealed class NestedPaneCollection : ReadOnlyCollection<DockPane> {
+    private INestedPanesContainer m_container;
+    private VisibleNestedPaneCollection m_visibleNestedPanes;
 
-		internal NestedPaneCollection(INestedPanesContainer container)
-            : base(new List<DockPane>())
-		{
-			m_container = container;
-			m_visibleNestedPanes = new VisibleNestedPaneCollection(this);
-		}
+    internal NestedPaneCollection(INestedPanesContainer container)
+      : base(new List<DockPane>()) {
+      m_container = container;
+      m_visibleNestedPanes = new VisibleNestedPaneCollection(this);
+    }
 
-		public INestedPanesContainer Container
-		{
-			get	{	return m_container;	}
-		}
-		
-		public VisibleNestedPaneCollection VisibleNestedPanes
-		{
-			get	{	return m_visibleNestedPanes;	}
-		}
+    public INestedPanesContainer Container {
+      get { return m_container; }
+    }
 
-		public DockState DockState
-		{
-			get	{	return Container.DockState;	}
-		}
+    public VisibleNestedPaneCollection VisibleNestedPanes {
+      get { return m_visibleNestedPanes; }
+    }
 
-		public bool IsFloat
-		{
-			get	{	return DockState == DockState.Float;	}
-		}
+    public DockState DockState {
+      get { return Container.DockState; }
+    }
 
-		internal void Add(DockPane pane)
-		{
-			if (pane == null)
-				return;
+    public bool IsFloat {
+      get { return DockState == DockState.Float; }
+    }
 
-			NestedPaneCollection oldNestedPanes = (pane.NestedPanesContainer == null) ? null : pane.NestedPanesContainer.NestedPanes;
-			if (oldNestedPanes != null)
-				oldNestedPanes.InternalRemove(pane);
-			Items.Add(pane);
-			if (oldNestedPanes != null)
-				oldNestedPanes.CheckFloatWindowDispose();
-		}
+    internal void Add(DockPane pane) {
+      if (pane == null)
+        return;
 
-		private void CheckFloatWindowDispose()
-		{
-			if (Count == 0 && Container.DockState == DockState.Float)
-			{
-				FloatWindow floatWindow = (FloatWindow)Container;
-				if (!floatWindow.Disposing && !floatWindow.IsDisposed)
-					NativeMethods.PostMessage(((FloatWindow)Container).Handle, FloatWindow.WM_CHECKDISPOSE, 0, 0);
-			}
-		}
+      NestedPaneCollection oldNestedPanes = (pane.NestedPanesContainer == null) ? null : pane.NestedPanesContainer.NestedPanes;
+      if (oldNestedPanes != null)
+        oldNestedPanes.InternalRemove(pane);
+      Items.Add(pane);
+      if (oldNestedPanes != null)
+        oldNestedPanes.CheckFloatWindowDispose();
+    }
 
-		internal void Remove(DockPane pane)
-		{
-			InternalRemove(pane);
-			CheckFloatWindowDispose();
-		}
+    private void CheckFloatWindowDispose() {
+      if (Count == 0 && Container.DockState == DockState.Float) {
+        FloatWindow floatWindow = (FloatWindow)Container;
+        if (!floatWindow.Disposing && !floatWindow.IsDisposed)
+          NativeMethods.PostMessage(((FloatWindow)Container).Handle, FloatWindow.WM_CHECKDISPOSE, 0, 0);
+      }
+    }
 
-		private void InternalRemove(DockPane pane)
-		{
-			if (!Contains(pane))
-				return;
+    internal void Remove(DockPane pane) {
+      InternalRemove(pane);
+      CheckFloatWindowDispose();
+    }
 
-			NestedDockingStatus statusPane = pane.NestedDockingStatus;
-			DockPane lastNestedPane = null;
-			for (int i=Count - 1; i> IndexOf(pane); i--)
-			{
-				if (this[i].NestedDockingStatus.PreviousPane == pane)
-				{
-					lastNestedPane = this[i];
-					break;
-				}
-			}
+    private void InternalRemove(DockPane pane) {
+      if (!Contains(pane))
+        return;
 
-			if (lastNestedPane != null)
-			{
-				int indexLastNestedPane = IndexOf(lastNestedPane);
-				Items.Remove(lastNestedPane);
-				Items[IndexOf(pane)] = lastNestedPane;
-				NestedDockingStatus lastNestedDock = lastNestedPane.NestedDockingStatus;
-				lastNestedDock.SetStatus(this, statusPane.PreviousPane, statusPane.Alignment, statusPane.Proportion);
-				for (int i=indexLastNestedPane - 1; i>IndexOf(lastNestedPane); i--)
-				{
-					NestedDockingStatus status = this[i].NestedDockingStatus;
-					if (status.PreviousPane == pane)
-						status.SetStatus(this, lastNestedPane, status.Alignment, status.Proportion);
-				}
-			}
-			else
-				Items.Remove(pane);
+      NestedDockingStatus statusPane = pane.NestedDockingStatus;
+      DockPane lastNestedPane = null;
+      for (int i = Count - 1; i > IndexOf(pane); i--) {
+        if (this[i].NestedDockingStatus.PreviousPane == pane) {
+          lastNestedPane = this[i];
+          break;
+        }
+      }
 
-			statusPane.SetStatus(null, null, DockAlignment.Left, 0.5);
-			statusPane.SetDisplayingStatus(false, null, DockAlignment.Left, 0.5);
-			statusPane.SetDisplayingBounds(Rectangle.Empty, Rectangle.Empty, Rectangle.Empty);
-		}
+      if (lastNestedPane != null) {
+        int indexLastNestedPane = IndexOf(lastNestedPane);
+        Items.Remove(lastNestedPane);
+        Items[IndexOf(pane)] = lastNestedPane;
+        NestedDockingStatus lastNestedDock = lastNestedPane.NestedDockingStatus;
+        lastNestedDock.SetStatus(this, statusPane.PreviousPane, statusPane.Alignment, statusPane.Proportion);
+        for (int i = indexLastNestedPane - 1; i > IndexOf(lastNestedPane); i--) {
+          NestedDockingStatus status = this[i].NestedDockingStatus;
+          if (status.PreviousPane == pane)
+            status.SetStatus(this, lastNestedPane, status.Alignment, status.Proportion);
+        }
+      } else
+        Items.Remove(pane);
 
-		public DockPane GetDefaultPreviousPane(DockPane pane)
-		{
-			for (int i=Count-1; i>=0; i--)
-				if (this[i] != pane)
-					return this[i];
+      statusPane.SetStatus(null, null, DockAlignment.Left, 0.5);
+      statusPane.SetDisplayingStatus(false, null, DockAlignment.Left, 0.5);
+      statusPane.SetDisplayingBounds(Rectangle.Empty, Rectangle.Empty, Rectangle.Empty);
+    }
 
-			return null;
-		}
-	}
+    public DockPane GetDefaultPreviousPane(DockPane pane) {
+      for (int i = Count - 1; i >= 0; i--)
+        if (this[i] != pane)
+          return this[i];
+
+      return null;
+    }
+  }
 }
Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.WinFormsUI/2.3.1/WinFormsUI-2.3.1/Docking/SplitterBase.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.WinFormsUI/2.3.1/WinFormsUI-2.3.1/Docking/SplitterBase.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.WinFormsUI/2.3.1/WinFormsUI-2.3.1/Docking/SplitterBase.cs	(revision 4068)
@@ -1,70 +1,58 @@
-using System;
-using System.Collections;
-using System.ComponentModel;
 using System.Drawing;
 using System.Windows.Forms;
 
-namespace WeifenLuo.WinFormsUI.Docking
-{
-	internal class SplitterBase : Control
-	{
-		public SplitterBase()
-		{
-			SetStyle(ControlStyles.Selectable, false);
-		}
+namespace WeifenLuo.WinFormsUI.Docking {
+  internal class SplitterBase : Control {
+    public SplitterBase() {
+      SetStyle(ControlStyles.Selectable, false);
+    }
 
-		public override DockStyle Dock
-		{
-			get	{	return base.Dock;	}
-			set
-			{
-				SuspendLayout();
-				base.Dock = value;
+    public override DockStyle Dock {
+      get { return base.Dock; }
+      set {
+        SuspendLayout();
+        base.Dock = value;
 
-				if (Dock == DockStyle.Left || Dock == DockStyle.Right)
-					Width = SplitterSize;
-				else if (Dock == DockStyle.Top || Dock == DockStyle.Bottom)
-					Height = SplitterSize;
-				else
-					Bounds = Rectangle.Empty;
+        if (Dock == DockStyle.Left || Dock == DockStyle.Right)
+          Width = SplitterSize;
+        else if (Dock == DockStyle.Top || Dock == DockStyle.Bottom)
+          Height = SplitterSize;
+        else
+          Bounds = Rectangle.Empty;
 
-				if (Dock == DockStyle.Left || Dock == DockStyle.Right)
-					Cursor = Cursors.VSplit;
-				else if (Dock == DockStyle.Top || Dock == DockStyle.Bottom)
-					Cursor = Cursors.HSplit;
-				else
-					Cursor = Cursors.Default;
-					
-				ResumeLayout();
-			}
-		}
+        if (Dock == DockStyle.Left || Dock == DockStyle.Right)
+          Cursor = Cursors.VSplit;
+        else if (Dock == DockStyle.Top || Dock == DockStyle.Bottom)
+          Cursor = Cursors.HSplit;
+        else
+          Cursor = Cursors.Default;
 
-		protected virtual int SplitterSize
-		{
-			get	{	return 0;	}
-		}
+        ResumeLayout();
+      }
+    }
 
-		protected override void OnMouseDown(MouseEventArgs e)
-		{
-			base.OnMouseDown(e);
+    protected virtual int SplitterSize {
+      get { return 0; }
+    }
 
-			if (e.Button != MouseButtons.Left)
-				return;
+    protected override void OnMouseDown(MouseEventArgs e) {
+      base.OnMouseDown(e);
 
-			StartDrag();
-		}
+      if (e.Button != MouseButtons.Left)
+        return;
 
-		protected virtual void StartDrag()
-		{
-		}
+      StartDrag();
+    }
 
-		protected override void WndProc(ref Message m)
-		{
-            // eat the WM_MOUSEACTIVATE message
-			if (m.Msg == (int)Win32.Msgs.WM_MOUSEACTIVATE)
-				return;
+    protected virtual void StartDrag() {
+    }
 
-			base.WndProc(ref m);
-		}
-	}
+    protected override void WndProc(ref Message m) {
+      // eat the WM_MOUSEACTIVATE message
+      if (m.Msg == (int)Win32.Msgs.WM_MOUSEACTIVATE)
+        return;
+
+      base.WndProc(ref m);
+    }
+  }
 }
